Why Remove?

What do you love about LastPass? What do you hate about it? Tell us why you like it, why you don't, and why.

Moderators: admin, anatoly_LP, chantieLP, JoeSiegrist, robyn

Why Remove?

Postby Teektool2013 » Thu Nov 29, 2018 6:51 pm

Hello Everyone!

I have had no need to make a post here before (why)? i have been very happy using lastpass!! for some number of years,
but now i am looking into trying some other password management, i feel if i am paying for a service i am entitled to use
which ever version i wish to use.

I have been very happy using lastpass v3.3.1 loved it, old yes i agree, but if it's not broken why try fixing it? and this is
my main reason for using this older version, suddenly my FireFox browser along with lastpass are forcing me to go with
there latest version, shouldn't this be my choice? if i want to carry on using an older version, now after several updates
to my support ticket, asking the support team for help linking me back to the 3.3.1 version, no one seems interested.

I hate the lastpass new version, there is no way to physically put your details in, (ie) if your like me and write down passwords on bit's of
papers, looking for it on your desktop and going back to your browser to input it, no chances!

Can anyone give me any tips on how to locate the v3.3.1? it seems lastpass has removed it from here https://addons.mozilla.org/en-US/firefo ... /versions/
over the last couple of days.

Thanks very much and have a pleasant day..
Teektool2013
 
Posts: 3
Joined: Tue Dec 17, 2013 1:37 pm

Re: Why Remove?

Postby Rich4422 » Thu Nov 29, 2018 8:41 pm

LastPass is a product that relies on security. Every new version includes new bug fixes and security fixes or security features. It's absolutely irresponsible to use old version of software of this nature. LastPass isn't Microsoft Office or Adobe Premier Pro.

You are literally asking for a more than 2.5 years old extension. Even on extensions page it says in big red "Be careful with old versions!"
Rich4422
 
Posts: 57
Joined: Tue Jan 02, 2018 8:53 am

Re: Why Remove?

Postby jpenny84 » Thu Nov 29, 2018 10:00 pm

Mozilla removed the old XUL extensions, not LastPass. As of September, Mozilla no longer offers a supported browser that runs those legacy extension types. You will have to find an unsupported workaround at your own risk if you are determined to stay on version 3 forever.

https://www.bleepingcomputer.com/news/s ... y-october/.
jpenny84
 
Posts: 8291
Joined: Tue Mar 06, 2012 9:10 pm

Re: Why Remove?

Postby Teektool2013 » Fri Nov 30, 2018 3:51 am

jpenny84 Wrote:Mozilla removed the old XUL extensions, not LastPass. As of September, Mozilla no longer offers a supported browser that runs those legacy extension types. You will have to find an unsupported workaround at your own risk if you are determined to stay on version 3 forever.

https://www.bleepingcomputer.com/news/s ... y-october/.


Thank you jpenny84 for your reply, it's not the news i really wanted to here! actually been using 3.3.1 for some time
and am very sad to lose it, it did what i wanted it to do,there is so much happening with Mozilla now they also have removed support for there browser for those using
older versions of windows.

@Rich4422 cheers for your input :D

You are literally asking for a more than 2.5 years old extension. Even on extensions page it says in big red "Be careful with old versions!"


But i still say it should be my choice, to make this decision.

Thanks again guys!

Teek
Teektool2013
 
Posts: 3
Joined: Tue Dec 17, 2013 1:37 pm


Return to Feedback

Who is online

Users browsing this forum: No registered users and 22 guests